KWBOOT(1)

NAME
kwboot - Boot Marvell Kirkwood SoCs over a serial link.

SYNOPSIS
kwboot [-b image] [-p] [-t] [-B baudrate] TTY

DESCRIPTION
The mkimage program boots boards based on Marvell's Kirkwood platform over their integrated UART. Boot image files will typically contain a second stage boot loader, such as U-Boot. The image file must conform to Marvell's BootROM firmware image format (kwbimage), created using a tool such as mkimage. Following power-up or a system reset, system BootROM code polls the UART for a brief period of time, sensing a handshake message which initiates an image upload. This program sends this boot message until it receives a positive acknowledgement. The image is transfered using Xmodem. Additionally, this program implements a minimal terminal mode, which can be used either standalone, or entered immediately following boot image transfer completion. This is often useful to catch early boot messages, or to manually interrupt a default boot procedure performed by the second-stage loader.

OPTIONS

-b image
    Handshake; then upload file image over TTY. Note that for the encapsulated boot code to be executed, image must be of type "UART boot" (0x69). Boot images of different types, such as backup images of vendor firmware downloaded from flash memory (type 0x8B), will not work (or not as expected). See -p for a workaround. This mode writes handshake status and upload progress indication to stdout.

-p  In combination with -b, patches the header in image prior to upload, to "UART boot" type. This option attempts on-the-fly conversion of some none-UART image types, such as images which were originally formatted to be stored in flash memory. Conversion is performed in memory. The contents of image will not be altered.

-t  Run a terminal program, connecting standard input and output to TTY. If used in combination with -b, terminal mode is entered immediately following a successful image upload. If standard I/O streams connect to a console, this mode will terminate after receiving 'ctrl-\' followed by 'c' from console input.

-B baudrate
    Adjust the baud rate on TTY. Default rate is 115200.

SEE ALSO

mkimage(1)

AUTHORS
Daniel Stodden <daniel.stodden@gmail.com>
Luka Perkov <luka@openwrt.org>
David Purdy <david.c.purdy@gmail.com>